package com.aiosman.riderpro.ui.index.tabs.profile

import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.platform.LocalContext
import androidx.lifecycle.viewModelScope
import kotlinx.coroutines.launch

@Composable
fun ProfileWrap(

) {
    val context = LocalContext.current
    LaunchedEffect(Unit) {
        MyProfileViewModel.loadProfile()
    }
    ProfileV3(
        onUpdateBanner = { uri, file, context ->
            MyProfileViewModel.updateUserProfileBanner(uri, file, context)
        },
        onLogout = {
            MyProfileViewModel.logout(context)
        },
        profile = MyProfileViewModel.profile,
        sharedFlow = MyProfileViewModel.sharedFlow,
    )
}